Last Comment Bug 747919 - browser/devtools/layoutview/test/browser_layoutview.js leaks chrome and content windows
: browser/devtools/layoutview/test/browser_layoutview.js leaks chrome and conte...
Status: RESOLVED FIXED
: intermittent-failure, mlk, regression
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Paul Rouget [:paul]
:
Mentors:
Depends on:
Blocks: 438871 683954 734554
  Show dependency treegraph
 
Reported: 2012-04-23 08:10 PDT by Dão Gottwald [:dao]
Modified: 2012-11-25 19:31 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch v1 (957 bytes, patch)
2012-04-25 07:54 PDT, Paul Rouget [:paul]
dao+bmo: review+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2012-04-23 08:10:02 PDT
[browser/devtools/layoutview/test/browser_layoutview.js]
  2 window(s) [url = chrome://browser/content/devtools/layoutview/view.xhtml]
  1 window(s) [url = about:blank]
  1 window(s) [url = data:text/html,%3Cstyle%3Ediv%20%7B%20position%3A%20absolute%3B%20top%3A%2042px%3B%20left%3A%2042px%3B%20height%3A%20100px%3B%20width%3A%20100px%3B%20border%3A%2010px%20solid%20black%3B%20padding%3A%2020px%3B%20margin%3A%2030px%3B%20%7D%3C%2Fstyle%3E%3Cdiv%3E%3C%2Fdiv%3E]

Paul, can you take this?
Comment 1 Paul Rouget [:paul] 2012-04-23 12:04:39 PDT
(In reply to Dão Gottwald [:dao] from comment #0)
> Paul, can you take this?

Yes. Thank you.
Comment 8 Paul Rouget [:paul] 2012-04-25 07:54:10 PDT
Created attachment 618259 [details] [diff] [review]
patch v1
Comment 9 Paul Rouget [:paul] 2012-04-25 07:59:23 PDT
Apparently, this fixes the problem: https://tbpl.mozilla.org/?tree=Try&rev=a4aa2a563208
Comment 13 Phil Ringnalda (:philor, back in August) 2012-04-25 09:31:28 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11197748&tree=Mozilla-Aurora
Comment 15 Phil Ringnalda (:philor, back in August) 2012-04-25 14:46:47 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11203709&tree=Mozilla-Aurora
Comment 16 Phil Ringnalda (:philor, back in August) 2012-04-25 14:59:31 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11204577&tree=Mozilla-Inbound
Comment 17 Phil Ringnalda (:philor, back in August) 2012-04-25 15:13:37 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11205374&tree=Mozilla-Aurora
Comment 18 Phil Ringnalda (:philor, back in August) 2012-04-25 15:14:14 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11205225&tree=Mozilla-Aurora
Comment 19 Phil Ringnalda (:philor, back in August) 2012-04-25 15:23:20 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11205692&tree=Mozilla-Aurora
Comment 20 Phil Ringnalda (:philor, back in August) 2012-04-25 15:44:51 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11206256&tree=Mozilla-Aurora
Comment 21 Phil Ringnalda (:philor, back in August) 2012-04-25 16:25:15 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11205888&tree=Mozilla-Inbound
Comment 22 Phil Ringnalda (:philor, back in August) 2012-04-25 18:07:52 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11210407&tree=Mozilla-Inbound
Comment 23 Phil Ringnalda (:philor, back in August) 2012-04-25 18:08:27 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11209636&tree=Mozilla-Inbound
Comment 25 Phil Ringnalda (:philor, back in August) 2012-04-25 22:33:05 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11218178&tree=Mozilla-Inbound
Comment 26 Phil Ringnalda (:philor, back in August) 2012-04-25 22:40:23 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11218459&tree=Mozilla-Inbound
Comment 27 Phil Ringnalda (:philor, back in August) 2012-04-25 23:28:13 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11216124&tree=Mozilla-Aurora
Comment 32 Dão Gottwald [:dao] 2012-04-26 06:43:52 PDT
http://hg.mozilla.org/mozilla-central/rev/c6d998a2cc8c
Comment 33 Rob Campbell [:rc] (:robcee) 2012-04-26 06:57:17 PDT
ugh. and I just pushed it to fx-team. Will backout.
Comment 34 Dão Gottwald [:dao] 2012-04-26 07:00:28 PDT
No need to back it out.
Comment 35 Phil Ringnalda (:philor, back in August) 2012-04-26 10:49:12 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11235584&tree=Mozilla-Aurora
Comment 36 Phil Ringnalda (:philor, back in August) 2012-04-26 11:10:12 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11236103&tree=Mozilla-Aurora
Comment 37 Phil Ringnalda (:philor, back in August) 2012-04-26 11:12:33 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11236492&tree=Mozilla-Aurora
Comment 38 Phil Ringnalda (:philor, back in August) 2012-04-26 11:21:30 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11236916&tree=Mozilla-Aurora
Comment 39 Phil Ringnalda (:philor, back in August) 2012-04-26 12:34:43 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11238565&tree=Mozilla-Inbound
Comment 40 Phil Ringnalda (:philor, back in August) 2012-04-26 14:24:30 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11240966&tree=Mozilla-Inbound
Comment 41 Phil Ringnalda (:philor, back in August) 2012-04-26 14:25:08 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11240945&tree=Mozilla-Inbound
Comment 42 Phil Ringnalda (:philor, back in August) 2012-04-26 14:26:44 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11239965&tree=Mozilla-Inbound
Comment 43 Phil Ringnalda (:philor, back in August) 2012-04-26 16:09:40 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11242287&tree=Mozilla-Aurora
Comment 44 Phil Ringnalda (:philor, back in August) 2012-04-26 16:14:50 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11243368&tree=Mozilla-Aurora
Comment 46 Phil Ringnalda (:philor, back in August) 2012-04-26 18:19:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11246862&tree=Mozilla-Aurora
Comment 51 Phil Ringnalda (:philor, back in August) 2012-04-26 21:17:18 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11253072&tree=Mozilla-Aurora
Comment 52 Phil Ringnalda (:philor, back in August) 2012-04-26 22:29:18 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11255035&tree=Mozilla-Aurora
Comment 53 Tim Taubert [:ttaubert] 2012-04-27 05:51:53 PDT
https://hg.mozilla.org/mozilla-central/rev/309a40ba4906
Comment 54 Phil Ringnalda (:philor, back in August) 2012-04-27 13:18:59 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11273413&tree=Mozilla-Aurora
Comment 57 :Ehsan Akhgari (away Aug 1-5) 2012-05-02 13:25:34 PDT
This patch was in a range which caused a Ts regression, so I backed out the whole range:

https://hg.mozilla.org/mozilla-central/rev/24a6a53c714a

Please reland after investigating and fixing the regression.
Comment 58 Dão Gottwald [:dao] 2012-05-02 13:44:57 PDT
(In reply to Ehsan Akhgari [:ehsan] from comment #57)
> This patch was in a range which caused a Ts regression, so I backed out the
> whole range:
> 
> https://hg.mozilla.org/mozilla-central/rev/24a6a53c714a

This didn't actually back this bug's patch out.
Comment 59 Phil Ringnalda (:philor, back in August) 2012-05-04 07:32:03 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11452343&tree=Mozilla-Aurora

Note You need to log in before you can comment on or make changes to this bug.